<?php
	// Iniciamos la sesion
	session_start();
	
	// Cogemos los valores de las cookies
	$ultimo_dia=$_COOKIE['dia'];
	$ultimo_mes=$_COOKIE['mes'];

	// Para pasar numeros a meses
	$meses=array(1=>'Enero',2=>'Febrero',3=>'Marzo',4=>'Abril',5=>'Mayo',6=>'Junio',7=>'Julio',8=>'Agosto',9=>'Septiembre',10=>'Octubre',11=>'Noviembre',12=>'Diciembre');

	// Nos hacemos clientes SOAP del servidor meteorolgico
	$cliente = new SoapClient(null,
		array(
			'location' => 'http://192.168.1.10/soap/servidor.php',
			'uri' => 'urn:serviciosweb'
		));

	// veamos si se ha pulsado el boton de borrar la tabla
	if($_POST['boton2']=='Borrar tabla'){
		// Borramos las 3 variables de sesion
		unset($_SESSION['maxima']);
		unset($_SESSION['minima']);
		unset($_SESSION['racha']);
	}else{
		// Recogemos los datos que vienen del formulario y los metemos en sesion
		$dia=$_POST['dia'];
		$mes=$_POST['mes'];
		mete_en_sesion($dia,$mes,$cliente);
	}
	
	// La cabecera de la pgina
	echo "<h1>Consulta por SOAP de datos meteorolgicos del ao 2010</h1>";
	echo "<h2>Ultimo dia consultado: ".$ultimo_dia." de ".$meses[$ultimo_mes]." de 2010</h2>";

	// Formulario para recoger dia y mes 
	echo "<form name=formulario method=post action=cliente.php>";
	echo "<select name=dia>";
		for($i=0;$i<=31;$i++) echo "<option value=".$i.">".$i."</option>";
	echo "</select>";
	echo "<select name=mes>";
		for($i=0;$i<=12;$i++) echo "<option value=".$i.">".$meses[$i]."</option>";
	echo "</select>";
	echo "<input type=submit name=boton1 value='Consultar datos del dia'>";
	echo "<input type=submit name=boton2 value='Borrar tabla'>";
	echo "<form><hr>";
	
	// Mostramos todos los datos que estn en la sesion
	muestra_datos();
	
	// Funciones empleadas en el programa 
	function mete_en_sesion($dia,$mes,$cliente){
		if($dia>=1 && $dia<=31){
			$d='2010-'.$mes.'-'.$dia;
			$maxima=$_SESSION['maxima'];
			$minima=$_SESSION['minima'];
			$racha=$_SESSION['racha'];
			$maxima[$d]=$cliente->maxima($d);
			$minima[$d]=$cliente->minima($d);
			$racha[$d]=$cliente->racha($d);
			$_SESSION['maxima']=$maxima;
			$_SESSION['minima']=$minima;
			$_SESSION['racha']=$racha;
			// Almacenamos el dia y el mes en la cookie
			setcookie('dia',$dia,time()+24*60*60); 
			setcookie('mes',$mes,time()+24*60*60); 
		}
	}
	
	function muestra_datos(){
		$maxima=$_SESSION['maxima'];
		$minima=$_SESSION['minima'];
		$racha=$_SESSION['racha'];
		echo "<table border=1>";
		echo "<tr><th>DIA</th><th>MAXIMA (C)</th><th>MINIMA (C)</th><th>VIENTO (km/h)</th></tr>";
		foreach($maxima as $indice=>$valor){
			echo "<tr><td>".date("D, d-M",strtotime($indice))."</td><td align=center>".number_format($maxima[$indice],2)."</td><td align=center>".number_format($minima[$indice],2)."</td><td align=center>".number_format($racha[$indice]*3.6,2)."</td></tr>";;
		}
		echo "</table>";
	}
	
?>